GEOS: geos::noding::SegmentString Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
geos::noding::SegmentString Class Referenceabstract

An interface for classes which represent a sequence of contiguous line segments. More...

`#include <SegmentString.h>`

Inheritance diagram for geos::noding::SegmentString:

## Public Types
typedef std::vector< const SegmentString * > | ConstVect
typedef std::vector < SegmentString * > | NonConstVect

## Public Member Functions
| SegmentString (const void *newContext)
| Construct a SegmentString.
const void * | getData () const
void | setData (const void *data)
virtual unsigned int | size () const =0
virtual const geom::Coordinate & | getCoordinate (unsigned int i) const =0
virtual geom::CoordinateSequence * | getCoordinates () const =0
| Return a pointer to the CoordinateSequence associated with this SegmentString.
virtual bool | isClosed () const =0
virtual std::ostream & | print (std::ostream &os) const

## Friends
std::ostream & | operator<< (std::ostream &os, const SegmentString &ss)

## Detailed Description

An interface for classes which represent a sequence of contiguous line segments.

SegmentStrings can carry a context object, which is useful for preserving topological or parentage information.

## Constructor & Destructor Documentation

geos::noding::SegmentString::SegmentString | ( | const void * | newContext | ) |
| inline

Construct a SegmentString.

Parameters

  newContext | the context associated to this SegmentString

## Member Function Documentation

virtual geom::CoordinateSequence* geos::noding::SegmentString::getCoordinates | ( |  | ) | const
| pure virtual

Return a pointer to the CoordinateSequence associated with this SegmentString.

Note that the CoordinateSequence is not owned by this SegmentString!

Implemented in geos::noding::NodedSegmentString, and geos::noding::BasicSegmentString.

const void* geos::noding::SegmentString::getData | ( |  | ) | const
| inline

Gets the user-defined data for this segment string.

Returns
  the user-defined data

void geos::noding::SegmentString::setData | ( | const void * | data | ) |
| inline

Sets the user-defined data for this segment string.

Parameters

  data | an Object containing user-defined data

The documentation for this class was generated from the following file:

- SegmentString.h